<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>


    let userName = prompt ('Enter your Name');
    let userAge = +prompt ('Enter your age');
    if (userAge > 22) {
        alert(`Welcome ${userName}`);
    } else if (userAge >= 18 && userAge <= 22) {
        if (confirm(`Are you sure you want to continue?`)) {
                alert(`Welcome ${userName}`)
            } else {
                alert('You are not allowed to visit this website.');
            }
    } else if (userAge < 18) {
        alert('You are not allowed to visit this website.')
    }

    // let userName = prompt('Enter your Name');
    // let userAge = +prompt('Enter your age');
    // if (userAge < 18) {
    //     alert('You are not allowed to visit this website.');
    // } else if (userAge >= 18 && userAge <= 22) {
    //     confirm(`Are you sure you want to continue?`)
    //         if ( x === true) {
    //             alert(`Welcome ${userName}`);
    //         } else {
    //             alert('You are not allowed to visit this website.');
    //         }
    // } else {
    //     alert(`Welcome ${userName}`);
    // }

    // let userName = prompt('Enter your Name');
    // let userAge = +prompt('Enter your age');
    // if (userAge < 18) {
    //     alert('You are not allowed to visit this website.');
    // } else if (userAge >= 18 && userAge <= 22) {
    //     if (confirm(`Are you sure you want to continue?`)) {
    //         alert(`Welcome ${userName}`);
    //     } else {
    //         alert('You are not allowed to visit this website.');
    //     }
    // } else {
    //     alert(`Welcome ${userName}`);
    // }
</script>
</body>
</html>